KBLaM: Responsible AI FAQ
•	What is KBLaM?
o	KBLaM is a method to enhance a transformer-based LLM to augment it with knowledge. It consists of a base LLM, and some adapters that we train to transform the knowledge base to special knowledge tokens that the LLM ingests. In particular, because we only train adapters over the knowledge part, the base LLM is completely unmodified with regards to text input. If given no knowledge base, the model outputs the exact same thing as the base model for any given input.
•	What can KBLaM do?
o	KBLaM can, in addition to the base LLM’s capabilities, also attend over the knowledge base to answer questions in a grounded manner.
•	What is/are KBLaM’s intended use(s)?
o	The model is intended to be used for research.
•	How was KBLaM evaluated? What metrics are used to measure performance?
o	KBLaM was evaluated on accuracy of retrieval from the knowledge base, its refusal rate (how often it correctly said that it didn’t have the requisite information to answer the question), and precision and recall on how well the answers aligned with the correct answers given the knowledge base.
•	What are the limitations of KBLaM? How can users minimize the impact of KBLaM’s limitations when using the system?
o	When used with knowledge bases that are very different from the knowledge base it was trained on, KBLaM will give incomplete answers, and the answers can be reworded from the original value in the knowledge base or at times entirely incorrect. As a result, KBLaM is not currently intended for use as a complete system in a production setting, but is a research project that we are sharing.
•	What operational factors and settings allow for effective and responsible use of KBLaM?
o	KBLaM with no knowledge base will perform the exact same as the base model. With a knowledge base, for effective use, one should make sure that the training dataset and the usecase have sufficiently similar knowledge bases
•	How do I provide feedback on KBLaM?
o	The paper’s review would be the appropriate place to provide feedback.
